package com.engine.attendance.attendanceanalysis.service;

import java.util.Map;

/**
 * 旷工、早退、迟到service
 */
public interface BeLateService {
    /**
     *  全天旷工
     * @param params
     * @return
     */
    Map<String,Object>  fullDayAbsenteeism(Map<String,Object> params);

    /**
     * 迟到
     * @param params
     * @return
     */
    boolean beLate(Map<String,Object> params);

    /**
     * 早退
     * @param params
     * @return
     */
    boolean leaveEarly(Map<String,Object> params);
}
