package com.engine.attendance.attendanceanalysis.service.impl;

import com.engine.attendance.attendanceanalysis.cmd.UpdateAttendanceResultsCmd;
import com.engine.attendance.attendanceanalysis.service.ForgetClockInService;
import com.engine.attendance.enums.SystemItemEnum;
import com.engine.core.impl.Service;

import java.util.Map;

public class ForgetClockInServiceImpl extends Service implements ForgetClockInService {

    @Override
    public Map<String, Object> ForgetClockInAllDays(Map<String, Object> params) {
        params.put("item", SystemItemEnum.MISSING_CLOCK_IN);
        params.put("itemduration", 1);
        Map<String,Object> result = commandExecutor.execute(new UpdateAttendanceResultsCmd(params));
        return result;
    }

    @Override
    public Map<String, Object> ForgetClockIn(Map<String, Object> params) {
        return null;
    }
}
